Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## Type-Safe Access to BEA WebLogic Server 9.1 MBeans (Deprecated)
(Methods marked with @since 9.0.0.0 or later are not available through the deprecated `MBeanHome` interface.)

## weblogic.security.providers.authorization
Interface DefaultRoleMapperMBean

All Superinterfaces:
  weblogic.management.security.ApplicationVersionerMBean, DeployableRoleMapperMBean, weblogic.descriptor.DescriptorBean, ExportMBean, ImportMBean, ListerMBean, weblogic.management.security.authorization.PredicateEditorMBean, weblogic.management.security.authorization.PredicateReaderMBean, weblogic.management.utils.PropertiesListerMBean, ProviderMBean, weblogic.management.security.authorization.RoleAuxiliaryMBean, RoleEditorMBean, weblogic.management.security.authorization.RoleListerMBean, RoleMapperMBean, RoleReaderMBean, weblogic.descriptor.SettableBean, weblogic.management.commo.StandardInterface

public interface DefaultRoleMapperMBean
extends weblogic.management.commo.StandardInterface, weblogic.descriptor.DescriptorBean, DeployableRoleMapperMBean, weblogic.management.security.authorization.RoleAuxiliaryMBean, weblogic.management.security.authorization.RoleListerMBean, weblogic.management.security.authorization.PredicateEditorMBean, weblogic.management.security.ApplicationVersionerMBean, ImportMBean, ExportMBean

This MBean represents configuration attributes for the WebLogic Role Mapping provider.Deprecation of MBeanHome and Type-Safe InterfacesThis is a type-safe interface for a WebLogic Server MBean, which you can import into your client classes and access through weblogic.management.MBeanHome. As of 9.0, the MBeanHome interface and all type-safe interfaces for WebLogic Server MBeans are deprecated. Instead, client classes that interact with WebLogic Server MBeans should use standard JMX design patterns in which clients use the javax.management.MBeanServerConnection interface to discover MBeans, attributes, and attribute types at runtime. For more information, see "Developing Manageable Applications with JMX" on http://edocs.bea.com.

  Copyright © 2005 BEA Systems, Inc. All Rights Reserved.

Method Summary
`String` | `getDescription()` A short description of the WebLogic Role Mapping provider.
`String` | `getProviderClassName()` The name of this WebLogic Role Mapping provider.
`String[]` | `getSupportedExportConstraints()` The security roles you want to be exported from this Role Mapping provider's database.
`String[]` | `getSupportedExportFormats()` The format of the file to export.
`String[]` | `getSupportedImportConstraints()` The security roles that you want to be imported into this Role Mapping provider's database.
`String[]` | `getSupportedImportFormats()` The format of the file to import.
`String` | `getVersion()` The version number of the WebLogic Role Mapping provider.

Methods inherited from interface weblogic.management.commo.StandardInterface
`setName, wls_getDisplayName, wls_getInterfaceClassName, wls_getObjectName`

Methods inherited from interface weblogic.descriptor.DescriptorBean
`addBeanUpdateListener, addPropertyChangeListener, createChildCopy, createChildCopyIncludingObsolete, getDescriptor, getParentBean, isEditable, removeBeanUpdateListener, removePropertyChangeListener`

Methods inherited from interface weblogic.descriptor.SettableBean
`isSet, unSet`

Methods inherited from interface weblogic.management.security.authorization.DeployableRoleMapperMBean
`isRoleDeploymentEnabled, setRoleDeploymentEnabled`

Methods inherited from interface weblogic.management.security.ProviderMBean
`getRealm`

Methods inherited from interface weblogic.management.security.authorization.RoleAuxiliaryMBean
`createRole, exportResource, getRoleAuxiliary, getRoleNames, listAllRolesAndURIs, setRoleAuxiliary`

Methods inherited from interface weblogic.management.security.authorization.RoleEditorMBean
`createRole, removeRole, setRoleExpression`

Methods inherited from interface weblogic.management.security.authorization.RoleReaderMBean
`getRoleExpression, listRolesForResource, roleExists`

Methods inherited from interface weblogic.management.security.authorization.RoleListerMBean
`getRole, getRoleScopedByResource, listAllRoles, listChildRoles, listRepeatingActionsRoles, listRoles, listRolesByApplication, listRolesByComponent, listRolesByResourceType`

Methods inherited from interface weblogic.management.utils.PropertiesListerMBean
`getCurrentProperties`

Methods inherited from interface weblogic.management.utils.ListerMBean
`advance, close, haveCurrent`

Methods inherited from interface weblogic.management.security.authorization.PredicateEditorMBean
`registerPredicate, unregisterPredicate`

Methods inherited from interface weblogic.management.security.authorization.PredicateReaderMBean
`getRegisteredPredicates, isRegisteredPredicate`

Methods inherited from interface weblogic.management.security.ImportMBean
`importData`

Methods inherited from interface weblogic.management.security.ExportMBean
`exportData`

Method Detail

### getDescription

    public String getDescription()

  A short description of the WebLogic Role Mapping provider.

  Specified by:
    `getDescription` in interface `ProviderMBean`
  Default value:
    "WebLogic Role Mapping Provider"
  A dynamic MBean attribute.
    false
  A non-configurable MBean attribute.

### getProviderClassName

    public String getProviderClassName()

  The name of this WebLogic Role Mapping provider.

  Specified by:
    `getProviderClassName` in interface `ProviderMBean`
  Default value:
    "weblogic.security.providers.authorization.DefaultRoleMapperProviderImpl"
  A dynamic MBean attribute.
    false
  A non-configurable MBean attribute.
  Excluded: Should not appear in public javadocs
  Internal: Should not appear in public javadocs

### getSupportedExportConstraints

    public String[] getSupportedExportConstraints()

  The security roles you want to be exported from this Role Mapping provider's database. If none are specified, all are exported.

  Specified by:
    `getSupportedExportConstraints` in interface `ExportMBean`
  Default value:
    ""
  A dynamic MBean attribute.
    false
  A non-configurable MBean attribute.

### getSupportedExportFormats

    public String[] getSupportedExportFormats()

  The format of the file to export. The list of supported export formats is determined by this Role Mapping provider.

  Specified by:
    `getSupportedExportFormats` in interface `ExportMBean`
  Default value:
    "DefaultRoles"
  A dynamic MBean attribute.
    false
  A non-configurable MBean attribute.

### getSupportedImportConstraints

    public String[] getSupportedImportConstraints()

  The security roles that you want to be imported into this Role Mapping provider's database. If none are specified, all are imported.

  Specified by:
    `getSupportedImportConstraints` in interface `ImportMBean`
  Default value:
    ""
  A dynamic MBean attribute.
    false
  A non-configurable MBean attribute.

### getSupportedImportFormats

    public String[] getSupportedImportFormats()

  The format of the file to import. The list of supported import formats is determined by the Role Mapping provider from which the security roles were originally exported.

  Specified by:
    `getSupportedImportFormats` in interface `ImportMBean`
  Default value:
    "DefaultRoles"
  A dynamic MBean attribute.
    false
  A non-configurable MBean attribute.

### getVersion

    public String getVersion()

  The version number of the WebLogic Role Mapping provider.

  Specified by:
    `getVersion` in interface `ProviderMBean`
  Default value:
    "1.0"
  A dynamic MBean attribute.
    false
  A non-configurable MBean attribute.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs91 Copyright 2005 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD